package com.gh.common.prioritychain

import com.gh.gamecenter.home.video.ScrollCalculatorHelper

class VideoHandler(priority: Int, val scrollCalculatorHelper: ScrollCalculatorHelper): PriorityChainHandler(priority) {

    init {
        updateStatus(STATUS_VALID)
    }

    override fun onProcess(): Boolean {
        scrollCalculatorHelper.enableAndPlayIfValid()
        return true
    }

}